<!doctype html public "-//W3C//DTD HTML 4.0 //EN">
<html>
<head>
       <title>Einfache Klasse Kunde</title>
</head>
<body>
<?php
class Kunde {
  // Eigenschaften
  public $vorname;
  public $nachname;
  public $nr;
  
  // Methoden
  public function getBeschreibung($format){
    if (!in_array($format, array("xml", "text", "csv"))){
      $format = "text";  
    }
    switch ($format){
     case "text":
      return $this->vorname." ".$this->nachname." (".$this->nr.")";
      break;
     case "xml":
      return "<kunde><nr>".$this->nr."</nr><vorname>".$this->vorname."</vorname><nachname>".$this->nachname."</nachname></kunde>";
      break;
     case "csv":
      return $this->nr.";".$this->vorname.";".$this->nachname."\n";
      break;
    }   
  }  
}

// Objekt erstellen
$anton = new Kunde;
// Eigenschaften setzen
$anton->vorname = "Anton";
$anton->nachname = "Ebenhof";
$anton->nr = 1;
// Methoden aufrufen
foreach (array("xml", "text", "csv") as $key => $value){
  echo htmlspecialchars($key.": ".$anton->getBeschreibung($value))."<br/>";  
}
?>
</body>
</html>
