<!doctype html public "-//W3C//DTD HTML 4.0 //EN">
<html>
<head>
       <title>Klasse mit statischen Mitgliedern</title>
</head>
<body>
<?php
class Kunde {
  // Private Objekt-Eigenschaften
  private $vorname;
  private $nachname;
  private $nr;
  
  // Private Klassen-Eigenschaft (statisch)
  private static $zaehler;
  
  // Konstruktor
  public function __construct($vorname, $nachname){
     // Objekteigenschaften setzen 
     $this->vorname  = $vorname;
	 $this->nachname = $nachname;
     // Klasseneigenschaft Zhler erhhen
     self::erhoeheZaehler();
     // Wert des Nr-Wertes setzen
     $this->setNr(self::$zaehler); 	
  }
  // Getter- und Setter-Methoden
  // Klassenmethoden (statisch)
  public static function getZaehler(){
    return self::$zaehler;   
  }
  private static function erhoeheZaehler(){
     self::$zaehler++;
  }
  // Objekt-Methoden
  public function getVorname(){
    return $this->vorname;	
  }
  public function setVorname($vorname){
  	if (is_string($vorname))
     $this->vorname = $vorname;	
  }
  public function getNachname(){
    return $this->nachname;	
  }
  public function setNachname($nachname){
  	if (is_string($nachname))
     $this->nachname = $nachname;	
  }
  public function getNr(){
    return $this->nr;	
  }
  private function setNr($nr){
    $this->nr = $nr;   
  }
  public function getName(){
  	return $this->getVorname()." ".$this->getNachname();
  }
}

// Objekt erstellen
$anton = new Kunde("Anton", "Ebenhof");
$elvira = new Kunde("Elvira", "Hlzemann");
// Objekt-Eigenschaften abrufen
echo $anton->getName()." ".$anton->getNr()."<br/>";
echo $elvira->getName()." ".$elvira->getNr()."<br/>";
// Klasseneigenschaften abrufen
echo "Vorhandene Kunden: ".Kunde::getZaehler();

?>
</body>
</html>
