<!doctype html public "-//W3C//DTD HTML 4.0 //EN">
<html>
<head>
       <title>Einfache Klasse Kunde</title>
</head>
<body>
<?php
class Kunde {
  // Eigenschaften
  public $vorname;
  public $nachname;
  public $nr;
  
  // Konstanten
  const KUNDE_XML  = "xml";
  const KUNDE_CSV  = "csv";
  const KUNDE_TEXT = "text"; 
   
  // Methoden
  public function getBeschreibung($format){
    if (!in_array($format,
                  array(Kunde::KUNDE_XML,
                        Kunde::KUNDE_CSV,
                        Kunde::KUNDE_TEXT ))){
      $format = Kunde::KUNDE_TEXT;  
    }
    switch ($format){
     case Kunde::KUNDE_TEXT:
      return $this->vorname." ".$this->nachname." (".$this->nr.")";
      break;
     case Kunde::KUNDE_XML:
      return "<kunde><nr>".$this->nr."</nr><vorname>".$this->vorname."</vorname><nachname>".$this->nachname."</nachname></kunde>";
      break;
     case Kunde::KUNDE_CSV:
      return $this->nr.";".$this->vorname.";".$this->nachname."\n";
      break;
    }   
  }  
}

// Objekt erstellen
$anton = new Kunde;
// Eigenschaften setzen
$anton->vorname = "Anton";
$anton->nachname = "Ebenhof";
$anton->nr = 1;
// Methoden aufrufen
echo htmlspecialchars($anton->getBeschreibung(Kunde::KUNDE_XML))."<br/>";  
?>
</body>
</html>
