<!doctype html public "-//W3C//DTD HTML 4.0 //EN">
<html>
<head>
       <title>Klient (und Verwendung von abstrakten Klassen)</title>
</head>
<body>
<?php
// Alle Dateien einbinden
require_once("produkt.php");
require_once("warenkorb.php");
require_once("zahlungsweise.php");
require_once("kundeAdresse.php");
require_once("bestellung.php");

// Produkte auswhlen
$buch = new Buch(1, "PHP und Oracle", 32.66, 0.07, 300);
$cd = new  CD(2, "PHP - Songs of OOP", 12.59, 0.19, 55.32);
// Warenkorb auffllen
$warenkorb =  new Warenkorb;
$warenkorb->setProdukt(new WKProdukt($buch, 1));
$warenkorb->setProdukt(new WKProdukt($cd, 2));
// Zahlungsweise auswhlen
$zahlungsweise = new Bankeinzug("PHP-Versand GmbH");
// Bestellung erstellen und ausfhren
$antonsAdresse = new Adresse("Hlzemannstr. 56", 12345, "PeHaPe");
$anton = new Kunde( 1, "Thomas", "Ebenhof", $antonsAdresse);
$bestellung = new Bestellung($anton, $warenkorb, $zahlungsweise);
echo $bestellung->ausfuehren();

echo "<pre>";
print_r($bestellung);
echo "</pre>";
?>
</body>
</html>
