<!doctype html public "-//W3C//DTD HTML 4.0 //EN">
<html>
<head>
       <title>Mehrfache Schnittstellenimplementierung</title>
</head>
<body>
<?php
// UnabhngigeSchnittstellen
interface Druckbar {
  public function getBeschreibung();   
}
interface Kaufbar {
 public function getPreis();   
}

//Klasse mit zwei implementierten Schnittstellen
class Produkt1 implements Druckbar, Kaufbar {
   public function getBeschreibung(){
     return "Beschreibung von Produkt1";    
   }
   public function getPreis(){
     return "Produkt1 ist mittelteuer";
   }   
}

// Erweiterte Schnittstelle
interface Kaufbar2 extends Druckbar {
  public function getPreis();    
}

// Klasse mit Vererbung und Implementierung
class Produkt2 extends Produkt1 implements Kaufbar2 {
   public function getBeschreibung(){
     return "Beschreibung von Produkt2";    
   }
   public function getPreis(){
     return "Produkt2 ist billiger";
   }     
}
?>
</body>
</html>
