<?php
// Klasse Nachricht, die magische Methoden umsetzt
class Nachricht {
   private $nachricht;
   
   public function __construct($titel, $inhalt){
     $this->nachricht["titel"]  = $titel;
     $this->nachricht["inhalt"] = $inhalt;    
   }
   
   // Aufruf bei Adressierung einer unbekannten Eigenschaft
   public function __get($eigenschaft){
      if ($eigenschaft == "titel"){
        return $this->nachricht["titel"];    
      }
      elseif ($eigenschaft == "inhalt"){
        return $this->nachricht["inhalt"];  
      }  
   }
   public function __set($eigenschaft, $wert){
      if ($eigenschaft == "titel"){
        $this->nachricht["titel"] = $wert;    
      }
      elseif ($eigenschaft == "inhalt"){
        $this->nachricht["inhalt"] = $wert;  
      }  
   }
   // Automatischer Aufruf bei echo und print()
   public function __toString(){
     // Objektiteration
     $html = "<ul>\n";
     foreach ($this as $key=>$eigenschaft){
        $html .= "\t<li>".$key.": ".$eigenschaft;
        if (is_array($eigenschaft)){
          $html .= "<ul>\n";
          foreach ($eigenschaft as $key2 => $eigenschaftArray){
            $html .= "\t<li>".$key2.": ".$eigenschaftArray."</li>\n";   
          }
          $html .= "\t</ul>";   
        }
        $html .= "</li>\n";   
     }
     $html .= "</ul>\n";
     return $html;    
   }
   // Automatischer Aufruf bei Serialisierung
   public function __sleep(){
     $this->nachricht["zustand"] = "serialisiert";
     return array("nachricht");
   
   }
   // Automatischer Aufruf bei Deserialisierung
   public function __wakeup(){
     $this->nachricht["zustand"] = "deserialisiert";  
   }    
}








?>