<?php

// Elternklasse
class Person {
  // Eigenschaften
  public  $vorname;
  public  $nachname;
  // Konstruktor
  public function __construct($vorname, $nachname){
    $this->vorname = $vorname;
    $this->nachname = $nachname;
  }
  // Methoden
  public function gruessen(){
    return "Hallo, Ich bin "
           .$this->vorname
           ." "
           .$this->nachname
           .".";
  }
  
  public function verabschieden($sprache){
  	$verabschiedung = "Tsch.";
  	if ($sprache == "it"){
      $verabschiedung = "Ciao.";
  	}
  	elseif ($sprache == "fr"){
  	  $verabschiedung = "A bientt.";	
  	}
  	return $verabschiedung;
  }
}

// Kindklasse
class Freund extends Person {
  // Properties
  public $spitzname;
  public $beruf;
  public $ort;
  
  // Konstruktor
  public function __construct($vorname, $nachname,
                       $spitzname){
    parent::__construct($vorname, $nachname);
    $this->spitzname = $spitzname;
  }
  // Methoden
  public function gruessen(){
    $text = "";
    $text .= parent::gruessen();
    $text .= "Mein Spitzname ist "
            .$this->spitzname
            .".";
    return $text;
  }
  
  public function nenneBeruf(){
    if (isset($this->beruf)){
      return "I work as a "
             .$this->beruf
             .".";
    }
    else {
      return "";
    }
  }
  
  public function nenneOrt(){
    if (isset($this->ort)){
      return "Ich lebe in "
             .$this->ort
             .".";
    }
    else {
      return "";
    }
  }
}
?>
