<!doctype html public "-//W3C//DTD HTML 4.0 //EN">
<html>
<head>
       <title>Fassade</title>
</head>
<body>
<?php
// Komplexes Klassensystem
class Kreditkarte {
   public $besitzer;
   public $nummer;
   
   public function __construct($besitzer, $nummer){
     $this->betrag   = $betrag ;
     $this->besitzer = $besitzer;
     $this->nummer   = $nummer;    
   } 
}

class Pruefung {
   public static function pruefen(Kreditkarte $kreditkarte){
     if (is_int($kreditkarte->nummer)) return true;
     return false;    
   }   
}

class Zahlung {
  public $kreditkarte;
  public $betrag;
  public function __construct(Kreditkarte $kreditkarte, $betrag, $empfaenger){
     $this->kreditkarte = $kreditkarte;
     $this->betrag = $betrag;
     $this->empfaenger = $empfaenger;    
   }
  public function ausfuehren(){
    return "Zahlung ausfhren";    
  }     
}

// Klient 1
$kreditkarte = new Kreditkarte("Anton Ebenhof", 123);
if (Pruefung::pruefen($kreditkarte)) {
   $zahlung = new Zahlung($kreditkarte, 100, "Webshop");
   echo $zahlung->ausfuehren()."<br/>";   
}

// Fassade zur Vereinfachung
class Fassade {
   public static function zahlen($besitzer, $nummer, $betrag, $empfaenger){
      $kreditkarte = new Kreditkarte($besitzer, $nummer);
      if (Pruefung::pruefen($kreditkarte)) {
      $zahlung = new Zahlung($kreditkarte, $betrag, $empfaenger);
      return $zahlung->ausfuehren();   
      } 
   }    
}

// Klient 2
echo Fassade::zahlen("Anton Ebenhof", 123, 100, "Webshop");
?>
</body>
</html>
