<!doctype html public "-//W3C//DTD HTML 4.0 //EN">
<html>
<head>
       <title>Befehl</title>
</head>
<body>
<?php
abstract class Befehl {
  abstract public function ausfuehren();  
}

class Loeschen extends Befehl {
 public function ausfuehren(){
   return "Datensatz aus DB lschen";    
 }   
}

class Bearbeiten extends Befehl {
 public function ausfuehren(){
   return "Datensatz in DB aktualisieren.";    
 }
}

class Erfassen extends Befehl {
 public function ausfuehren(){
   return "Datensatz in DB erstellen.";    
 }
}

class Standard extends Befehl {
 public function ausfuehren(){
   return "<form action=\"befehl.php\" method=\"get\">
           <input type=\"submit\" name=\"Loeschen\" value=\"Lschen\"/><br/>
           <input type=\"submit\" name=\"Bearbeiten\" value=\"Bearbeiten\"/><br/>
           <input type=\"submit\" name=\"Erfassen\" value=\"Erfassen\"/>
           </form>";    
 }
}

class Anfrageverarbeitung {
  public static function getBefehl(){
    if (isset($_GET["Bearbeiten"])){
      return new Bearbeiten();    
    }
    if (isset($_GET["Erfassen"])){
      return new Erfassen();    
    }
    if (isset($_GET["Loeschen"])){
      return new Loeschen();    
    }
    if (empty($_GET)){
      return new Standard();    
    }                
  }    
}


$befehl = Anfrageverarbeitung::getBefehl();
echo $befehl->ausfuehren();    
?>
</body>
</html>
