<!doctype html public "-//W3C//DTD HTML 4.0 //EN">
<html>
<head>
       <title>Befehl</title>
</head>
<body>
<?php
abstract class Befehl {
  abstract public function ausfuehren();
}

class Loeschen extends Befehl {
 public function ausfuehren(){
   return "Datensatz aus DB lschen";
 }
}

class Bearbeiten extends Befehl {
 public function ausfuehren(){
   return "Datensatz in DB aktualisieren.";
 }
}

class Erfassen extends Befehl {
 public function ausfuehren(){
   return "Datensatz in DB erstellen.";
 }
}

class Standard extends Befehl {
 public function ausfuehren(){
   return "<form action=\"befehl2.php\" method=\"get\">
           <input type=\"submit\" name=\"cmd\" value=\"Loeschen\"/><br/>
           <input type=\"submit\" name=\"cmd\" value=\"Bearbeiten\"/><br/>
           <input type=\"submit\" name=\"cmd\" value=\"Erfassen\"/>
           </form>";
 }
}

class Anfrageverarbeitung {
  public static function getBefehl(){
    if (!isset($_GET["cmd"])){
      return new Standard();
    }
    else {
      $klasse = $_GET["cmd"];
      if (class_exists($klasse)){
        return new $klasse();
      }
    }
  }
}

// Einfacher Klient
$befehl = Anfrageverarbeitung::getBefehl();
echo $befehl->ausfuehren();
///////////////////////////////////////////////////////
// Makro
$makro = array(new Erfassen(),
               new Bearbeiten(),
               new Loeschen());
foreach ($makro as $befehl){
  echo $befehl->ausfuehren()."<br/>";
}
?>
</body>
</html>
