<!doctype html public "-//W3C//DTD HTML 4.0 //EN">
<html>
<head>
       <title>Befehl</title>
</head>
<body>
<?php
abstract class Befehl {
  abstract public function ausfuehren();
  public function umkehren(){} 
}

class Loeschen extends Befehl {
 public function ausfuehren(){
   return "Datensatz aus DB lschen";    
 }
 public function umkehren(){
   return "Datensatz wieder einfgen";    
 }    
}

class Bearbeiten extends Befehl {
 public function ausfuehren(){
   return "Datensatz in DB aktualisieren.";    
 }
 public function umkehren(){
   return "Datensatz wieder zurcksetzen";    
 }  
}

class Erfassen extends Befehl {
 public function ausfuehren(){
   return "Datensatz in DB erstellen.";    
 }
 public function umkehren(){
   return "Datensatz wieder lschen";    
 } 
}

class Standard extends Befehl {
 public function ausfuehren(){
   return "<form action=\"befehl3.php\" method=\"get\">
           <input type=\"submit\" name=\"cmd\" value=\"Loeschen\"/><br/>
           <input type=\"submit\" name=\"cmd\" value=\"Bearbeiten\"/><br/>
           <input type=\"submit\" name=\"cmd\" value=\"Erfassen\"/>
           </form>";    
 } 
}

class Anfrageverarbeitung {
  public static function getBefehl(){
    if (!isset($_GET["cmd"])){
      return new Standard();
    }  
    else {
      $klasse = $_GET["cmd"];
      if (class_exists($klasse)){
        return new $klasse();  
      }                   
    }
  }    
}

// Einfacher Klient
$befehl = Anfrageverarbeitung::getBefehl();
echo $befehl->ausfuehren();

// Rckgngig
// Voraussetzung: gespeicherte vorherigen Daten in Sitzung
$letzterBefehl = get_class($befehl);
if (!isset($_GET["rueckgaengig"])
    && $letzterBefehl != "Standard"){
 echo "<br/><a href=\"befehl3.php?rueckgaengig="
      .$letzterBefehl
      ."\">Rckgngig</a>";
}
elseif (isset($_GET["rueckgaengig"])) {
  $letzterBefehl = new $_GET["rueckgaengig"]();
  echo $letzterBefehl->umkehren();    
}                    
?>
</body>
</html>
