<!doctype html public "-//W3C//DTD HTML 4.0 //EN">
<html>
<head>
       <title>Zustand</title>
</head>
<body>
<?php
class Bestellverwaltung {
  public function __construct(){
      
  }  
  public function erfassen(){
     $this->bestellZustand->erfassen($this); 
  }
  public function verarbeiten(){
     $this->bestellZustand->verarbeiten($this); 
  }
  public function versenden(){
     $this->bestellZustand->versenden($this); 
  }
  
  private function zustandAendern(Zustand $zustand){
    $this->bestellZustand = $zustand;        
  }
  
  private $bestellZustand;   
}

abstract class Zustand {
  public function erfassen(){ }
  public function verarbeiten(){ }
  public function versenden(){ }   
}

class ErhaltenZustand extends Zustand {
  public function erfassen(){
    return "Bestellung in DB erfasst "
           ." und Kunde benachrichtigt.";    
  }    
}

class ErfasstZustand extends Zustand {
  public function verarbeiten(){
    return "Produkte auf Lager reserviert, "
           ." bei Lieferanten nachbestellt und "
           ." Rechnung erstellt.";     
  }  
}

class VerarbeitetZustand extends Zustand {
  public function versenden(){
    return "Versandpersonal informiert"
           ." und Datum in DB erfasst.";     
  }  
}
?>
</body>
</html>
