<?php
// Funktionen fr den Datenzugriff

// Einzelne Datei finden und als Array zurckgeben
function findByName($name){
 $datei = $name.".txt";
 $dateiCsv = explode(";", file_get_contents("../produkte/".$datei));
 return array("name" => $dateiCsv[0], "preis" => $dateiCsv[1]);	
}
// Alle Dateien finden und als komplexes Array zurckgeben
function findAll(){
 $dateien = array_slice(scandir("../produkte"),2);
 $produkte = array();
 
 foreach($dateien as $datei){
   $dateiCsv = explode(";", file_get_contents("../produkte/".$datei));
   $produkte[] = array("name" => $dateiCsv[0], "preis" => $dateiCsv[1]);
 }
 return $produkte; 	
}
// Produkt erfassen  
function insert($produkt){
 $datei = "../produkte/".$produkt["name"].".txt";
 $dateiCsv = $produkt["name"].";".$produkt["preis"];
 file_put_contents($datei, $dateiCsv);	
}
// Produkt aktualisieren
function update($nameAlt, $produkt){
  $dateiAlt = "../produkte/".$nameAlt.".txt";
  $dateiNeu = "../produkte/".$produkt["name"].".txt";
  if (file_exists($dateiAlt)){
    rename($dateiAlt, $dateiNeu);
	file_put_contents($dateiNeu, implode(";", $produkt)); 	
  }	
}	
?>