<?php
// Geschftsobjekt-Klasse
class Produkt {
  // Eigenschaften / Formularfelder / Spalten	
  private $name;
  private $preis;
  // Konstruktor
  public function __construct($name, $preis){
  	$this->setName($name);
  	$this->setPreis($preis);
  }
  // Getter/Setter
  public function getName(){
    return $this->name;
  }
  public function setName($name){
    $this->name = $name;
  }
  public function getPreis(){
    return $this->preis;
  }
  public function setPreis($preis){
    $this->preis = $preis;
  }
  // Import/Export-Hilfsmethoden
  public function implode(){
    return $this->getName().";".$this->getPreis();	
  }
  public static function explode($csv){
  	$dateiCsv = explode(";", $csv);
  	return new Produkt($dateiCsv[0], $dateiCsv[1]);
  }    	
}
?>