<?php
// Klasse fr den Datenzugriff
class ProduktGateway {
  // Einzelne Datei finden und als Objekt zurckgeben
  public static function findByName($name){
    $datei = "../produkte/".$name.".txt";
	return Produkt::explode(file_get_contents($datei));	
  }
  // Alle Dateien finden und als Array mit Objekten zurckgeben
  public static function findAll(){
   $dateien = array_slice(scandir("../produkte"),2);
   $produkte = array();
   foreach($dateien as $datei){
     $produkte[] = Produkt::explode(file_get_contents("../produkte/".$datei));
   } 
   return $produkte; 	
  }
  // Produkt erfassen  
  public static function insert(Produkt $produkt){
    $datei = "../produkte/".$produkt->getName().".txt";
	file_put_contents($datei, $produkt->implode());	
  }

  // Produkt aktualisieren
  public static function update($nameAlt, Produkt $produkt){
    $dateiAlt = "../produkte/".$nameAlt.".txt";
    $dateiNeu = "../produkte/".$produkt->getName().".txt";
    if (file_exists($dateiAlt)){
      rename($dateiAlt, $dateiNeu);
	  file_put_contents($dateiNeu, $produkt->implode());	 	
    }	
  }  	
}
?>