<?php
// Klasse mit Hilfsmethoden fr Prsentationen
class HtmlAusgabe {
 // Formular, um Produkte zu bearbeiten 
 public static function getBearbeitenFormular($action, $wert, $dom){
  $produkt = simplexml_import_dom($dom);
  $xsl = new XSLTProcessor();
  $xsl->importStyleSheet(DOMDocument::load("produktFormularBearbeiten.xslt"));
  $xsl->setParameter('', 'action', $action);
  $xsl->setParameter('', 'wert', $wert);
  return $xsl->transformToXML($dom);       	
 }
 // Formular, um Produkte einzufgen
 public static function getEinfuegenFormular($action, $wert){
  $html = "<form method=\"get\" action=\"".$action."\">"
          ."<input type=\"text\" name=\"name\"/><br/>"
          ."<input type=\"text\" name=\"preis\"/><br/>"
          ."<input type=\"submit\" name=\"aktion\" value=\"".$wert."\"/>"
          ."</form>";
  return $html;       	
 } 
 // bersicht mit Links zu weiteren Aktionen
 public static function getUebersichtAlle($dom, $aktion, $text){
  $produkte = simplexml_import_dom($dom); 	
  $produkt = simplexml_import_dom($dom);
  $xsl = new XSLTProcessor();
  $xsl->importStyleSheet(DOMDocument::load("produktTabelle.xslt"));
  $xsl->setParameter('', 'aktion', $action);
  $xsl->setParameter('', 'text', $text);
  return $xsl->transformToXML($dom); 
 }
 // Detailausgabe
 public static function getDetails($dom){
  $produkt = simplexml_import_dom($dom); 	
  $xsl = new XSLTProcessor();
  $xsl->importStyleSheet(DOMDocument::load("produktTabelleDetails.xslt"));
  return $xsl->transformToXML($dom);      
 }
}
?>