<?php
// Klasse fr den Datenzugriff
class ProduktGateway {
  // Einzelne Datei finden und als XML zurckgeben
  public static function findByName($name){
    $datei = "../produkte/".$name.".txt";
    $daten = explode(";",file_get_contents($datei));
    return Produkt::getProduktXml($daten);	
  }
  // Alle Dateien finden und als XML zurckgeben
  public static function findAll(){
   $dateien = array_slice(scandir("../produkte"),2);

   $daten = array();
   foreach($dateien as $datei){
   	 $daten[] = explode(";", file_get_contents("../produkte/".$datei));
   }
   return Produkt::getProdukteXml($daten);
   } 	
  // Produkt erfassen  
  public static function insert($dom){
  	$produkt = simplexml_import_dom($dom);
    $datei = "../produkte/".$produkt->Name.".txt";
    $csv = $produkt->Name.";".$produkt->Preis;
	file_put_contents($datei, $csv);	
  }

  // Produkt aktualisieren
  public static function update($nameAlt, $dom){
  	$produkt = simplexml_import_dom($dom);
    $dateiAlt = "../produkte/".$nameAlt.".txt";
    $dateiNeu = "../produkte/".$produkt->Name.".txt";
    if (file_exists($dateiAlt)){
      rename($dateiAlt, $dateiNeu);
      $csv = $produkt->Name.";".$produkt->Preis;
	  file_put_contents($dateiNeu, $csv);	 	
    }	
  }  	
}
?>