<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
	<!-- Paramter -->
	<xsl:param name="aktion"/>
	<xsl:param name="text"/>
	<!-- Umwandlung -->
	<xsl:template match="/Produktliste">
		<table border="1">
			<tr>
				<th>Name</th>
				<th>Preis</th>
				<th>
					<xsl:value-of select="$text"/>
				</th>
			</tr>
			<xsl:for-each select="Produkt">
				<tr>
					<td>
						<xsl:value-of select="Name"/>
					</td>
					<td>
						<xsl:value-of select="Preis"/>
					</td>
					<td>
						<a href="index.php?aktion={$aktion}&amp;produkt={Name}">&gt;&gt;</a>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
</xsl:stylesheet>
