<?php
class KundeRDG {
  // Eigenschaften
  private $data;

  // Konstruktor
  public function __construct(KundeGateway $data){
    $this->data = $data;
  }

  // Geschftsmethoden
  public function anmelden(){
  	echo "Kunde meldet sich an.<br/>";
  }

  public function __toString() {
    return $this->data->getK_NR()." "
	        .$this->data->getK_ANREDE()." "
		      .$this->data->getK_VORNAME()." "
		      .$this->data->getK_NACHNAME()."<br/>";
  }

  // Getter- und Setter-Methoden
  public function getK_NR(){
    return $this->data->getK_NR();
  }
  public function getK_ANREDE(){
    return $this->data->getK_ANREDE();
  }
  public function getK_VORNAME(){
    return $this->data->getK_VORNAME();
  }
  public function getK_NACHNAME(){
    return $this->data->getK_NACHNAME();
  }
  public function getK_STADT(){
    return $this->data->getK_STADT();
  }
 /*
  public function setK_NR($D_NR){
    $this->data->setK_NR($D_NR);
  }
  public function setK_ANREDE($D_ANREDE){
    $this->data->setK_ANREDE($D_ANREDE);
  }
  public function setK_VORNAME($D_VORNAME){
    $this->data->setK_VORNAME($D_VORNAME);
  }
  public function setK_NACHNAME($D_NACHNAME){
    $this->data->setK_NACHNAME($D_NACHNAME);
  }
  public function setK_STADT($D_STADT){
    $this->data->setK_STADT($D_STADT);
  }
 	*/
}
?>