<?php

class KundeTableGateway {

  // DB-Verwaltungsmethoden
  public function findByK_NR($K_NR){
	// SQL-Anweisung
  	$sql = "SELECT K_ANREDE, K_VORNAME, K_NACHNAME, K_STADT "
		  ."  FROM Kunde "
	      ." WHERE K_NR = :K_NR";
    // DB-Verbindung
    $registry = Registry::getInstance();
    $con = $registry->getProperty("con");
    // Bindevariablen ersetzen
    $sql = str_replace(":K_NR", $K_NR, $sql);
    // Abfrage ausfhren
    $ergebnis = mysql_query($sql, $con);
    while ($reihe = mysql_fetch_object($ergebnis)){
    	$kunde = new Kunde($reihe->K_ANREDE, $reihe->K_VORNAME,
    	                          $reihe->K_NACHNAME, $reihe->K_STADT, $K_NR);
    }
    // Besttigung
    return $kunde;
  }

  public function findByK_STADT($K_STADT){
  	$sql = "SELECT K_NR, K_ANREDE, K_VORNAME, K_NACHNAME "
		  ."  FROM Kunde "
	      ." WHERE K_STADT = ':K_STADT'";
    // DB-Verbindung
    $registry = Registry::getInstance();
    $con = $registry->getProperty("con");
    // Bindevariablen ersetzen
    $sql = str_replace(":K_STADT", $K_STADT, $sql);
    // Abfrage ausfhren
    $ergebnis = mysql_query($sql, $con);
    $kundenListe = array();
    while ($reihe = mysql_fetch_object($ergebnis)){
      $kundenListe[] = new Kunde($reihe->K_ANREDE, $reihe->K_VORNAME,
    	                   $reihe->K_NACHNAME, $K_STADT, $reihe->K_NR);
    }
    // Besttigung
    return $kundenListe;
  }

 public function update($K_NR, $K_ANREDE, $K_VORNAME, $K_NACHNAME, $K_STADT = ''){
	// OBjekt erstellen
	$kunde = new Kunde($K_ANREDE, $K_VORNAME, $K_NACHNAME, $K_STADT, $K_NR);
	// SQL-Anweisung
  	$sql = "UPDATE Kunde "
	       ."SET K_ANREDE = ':K_ANREDE', K_VORNAME = ':K_VORNAME', "
           ."    K_NACHNAME = ':K_NACHNAME', K_STADT = ':K_STADT' "
		   ."WHERE K_NR = :K_NR";
    // DB-Verbindung
    $registry = Registry::getInstance();
    $con = $registry->getProperty("con");
    // Bindevariablen ersetzen
    $sql = str_replace(":K_NR", $kunde->getK_NR(), $sql);
    $sql = str_replace(":K_ANREDE", $kunde->getK_ANREDE(), $sql);
    $sql = str_replace(":K_VORNAME", $kunde->getK_VORNAME(), $sql);
    $sql = str_replace(":K_NACHNAME", $kunde->getK_NACHNAME(), $sql);
    $sql = str_replace(":K_STADT", $kunde->getK_STADT(), $sql);
    // Abfrage ausfhren
    mysql_query($sql, $con);
	$reihen = mysql_affected_rows($con);
	// Besttigung
  	return $reihen;
  }

  public function insert($K_ANREDE, $K_VORNAME, $K_NACHNAME, $K_STADT = ''){
	// SQL-Anweisung
  	$sql = "INSERT INTO Kunde (K_ANREDE, K_VORNAME, K_NACHNAME, K_STADT) "
	       ."VALUES (':K_ANREDE', ':K_VORNAME', ':K_NACHNAME', ':K_STADT')";
    // DB-Verbindung
    $registry = Registry::getInstance();
    $con = $registry->getProperty("con");
    // Bindevariablen ersetzen
    $sql = $sql = str_replace(":K_ANREDE", $K_ANREDE, $sql);
    $sql = $sql = str_replace(":K_VORNAME", $K_VORNAME, $sql);
    $sql = $sql = str_replace(":K_NACHNAME", $K_NACHNAME, $sql);
    $sql = $sql = str_replace(":K_STADT", $K_STADT, $sql);
    // Abfrage ausfhren
    mysql_query($sql, $con);
    // Besttigung
    return mysql_insert_id($con);
  }

  public function delete($K_NR){
	// SQL-Anweisung
  	$sql = "DELETE FROM Kunde "
	       ."WHERE K_NR = :K_NR";
    // DB-Verbindung
    $registry = Registry::getInstance();
    $con = $registry->getProperty("con");
    // Bindevariablen ersetzen
    $sql = str_replace(":K_NR", $K_NR, $sql);
    // Abfrage ausfhren
    mysql_query($sql, $con);
	$reihen = mysql_affected_rows($con);
	// Besttigung
  	return $reihen;
  }
}
?>