<?php
class Registry {
  // Instanz	
  static private $instance;
  // Wertespeicher
  private $properties;
  
  // Konstruktor
  private function __construct(){}
  
  // Instanzerstellung und -rckgabe
  static public function getInstance() {
    if (!self::$instance) {
      self::$instance = new Registry();
    }
    return self::$instance;
  }
  
  // Werte-Verwaltung
  public function setProperty($key, $value){
    $this->properties[$key] = $value;	
  }
  
  public function getProperty($key){
  	return $this->properties[$key];
  } 		
}
?>
