<!doctype html public "-//W3C//DTD HTML 4.0 //EN">
<html>
<head>
       <title>Einfache Klasse Kunde mit Konstruktor</title>
</head>
<body>
<?php
class Kunde {
  // Private Eigenschaften als reiner Wertespeicher
  private $vorname;
  private $nachname;
  private $nr;
  
  // Konstruktor
  public function __construct($nr, $vorname, $nachname){
     $this->setVorname($vorname);
	 $this->setNachname($nachname);
	 $this->setNr($nr);	
  }
  // Getter- und Setter-Methoden
  // Vorname und Nachname sind les- und schreibbar
  public function getVorname(){
    return $this->vorname;	
  }
  public function setVorname($vorname){
  	if (is_string($vorname))
     $this->vorname = $vorname;	
  }
  public function getNachname(){
    return $this->nachname;	
  }
  public function setNachname($nachname){
  	if (is_string($nachname))
     $this->nachname = $nachname;	
  }
  // Nr ist von auen nur lesbar  
  public function getNr(){
    return $this->nr;	
  }
  // Name ist von auen nur lesbar
  // und wird nur erzeugt, nicht gespeichert
  public function getName(){
  	return $this->getVorname()." ".$this->getNachname();
  }
}

// Objekt erstellen
$anton = new Kunde( 1, "Thomas", "Ebenhof");
// Eigenschaften abrufen und ndern
if ($anton->getNr() == 1) {
  $anton->setVorname("Anton");
}
// Eigenschaften ausgeben
echo $anton->getName();

?>
</body>
</html>
