<!doctype html public "-//W3C//DTD HTML 4.0 //EN">
<html>
<head>
       <title>Komposition</title>
</head>
<body>
<?php
// Adresse
class Adresse {
  // Eigenschaften	 
  private $strasse;
  private $plz;
  private $stadt;
  
  // Konstruktor
  public function __construct($strasse, $plz, $stadt){
    $this->strasse = $strasse;
	$this->plz     = $plz;
	$this->stadt   = $stadt;	
  }
  // Getter- und Setter-Methoden
  public function getStrasse(){
    return $this->strasse;	
  }
  public function setStrasse($strasse){
    $this->strasse = $strasse;	
  }  
  public function getPlz(){
    return $this->plz;	
  }
  public function setPlz($plz){
    $this->plz = $plz;	
  }  
  public function getStadt(){
    return $this->stadt;	
  }
  public function setStadt($stadt){
    $this->stadt = $stadt;	
  }  	  	  	
}
// Kunde
class Kunde {
  // Eigenschaften mit primitiven Datentypen
  private $vorname;
  private $nachname;
  private $nr;
  // Eigenschaft des Typs <<Adresse>>
  private $adresse;
  
  // Konstruktor mit primitiven Datentypen
  public function __construct($nr, $vorname, $nachname, $strasse, $plz, $stadt){
     $this->vorname  = $vorname;
	 $this->nachname = $nachname;
	 $this->nr       = $nr;
	 $this->setAdresse($strasse, $plz, $stadt);	
  }
  // Getter- und Setter-Methoden
  // Rckgabe und erwarteter Wert in primitiven Datentypen
  public function getVorname(){
    return $this->vorname;	
  }
  public function setVorname($vorname){
  	if (is_string($vorname))
     $this->vorname = $vorname;	
  }
  public function getNachname(){
    return $this->nachname;	
  }
  public function setNachname($nachname){
  	if (is_string($nachname))
     $this->nachname = $nachname;	
  } 
  public function getNr(){
    return $this->nr;	
  }
  public function getName(){
  	return $this->getVorname()." ".$this->getNachname();
  }
  // Eigenschaft mit Aufruf des internen Objekts <<Adresse>>
  public function getAdresszeile(){
    return $this->adresse->getStrasse()
	       ."<br/>"
	       .$this->adresse->getPlz()
		   ." "
		   .$this->adresse->getStadt();	
  }
  // Rckgabe und erwarteter Wert mit Typ <<Adresse>>
  public function getAdresse(){
    return $this->adresse;	
  }
  public function setAdresse($strasse, $plz, $stadt){
    $this->adresse = new Adresse($strasse, $plz, $stadt);	
  }
}

// Klient
$anton = new Kunde( 1, "Thomas", "Ebenhof", "Hlzemannstr. 56", 12345, "PeHaPe");
$antonsAdresse = $anton->getAdresse();
echo $anton->getAdresszeile()."<br/>";
unset($anton);
print_r($antonsAdresse);
print_r($anton);
?>
</body>
</html>