<?php
// Klasse Nachricht, die magische Methoden umsetzt
class Nachricht {
   private $nachricht;
   
   public function __construct($titel, $inhalt){
     $this->nachricht["titel"]  = $titel;
     $this->nachricht["inhalt"] = $inhalt;    
   }
   
   // Aufruf bei Adressierung einer unbekannten Eigenschaft
   public function __get($eigenschaft){
      if ($eigenschaft == "titel"){
        return $this->nachricht["titel"];    
      }
      elseif ($eigenschaft == "inhalt"){
        return $this->nachricht["inhalt"];  
      }  
   }
   public function __set($eigenschaft, $wert){
      if ($eigenschaft == "titel"){
        $this->nachricht["titel"] = $wert;    
      }
      elseif ($eigenschaft == "inhalt"){
        $this->nachricht["inhalt"] = $wert;  
      }  
   }
   // Aufruf bei Adressierung einer unbekannten Methode
   public function __call($methode, $werte){
      if ($methode == "weiterleiten"){
        if (count($werte) == 1){
          return $this->weiterleiten1($werte[0]);  
        }
        elseif (count($werte) == 2){
          return $this->weiterleiten2($werte[0], $werte[1]);  
        }      
      }   
   }
   private function weiterleiten1($empfaenger){
      return "Email an ".$empfaenger." weitergleitet."; 
   }
   private function weiterleiten2($empfaenger, $cc){
      return "Email an ".$empfaenger." und ".$cc." weitergleitet."; 
   }

   // Automatischer Aufruf bei isset()
   public function __isset($objekt){
     if (!empty($objekt->nachricht["inhalt"])
           && !empty($objekt->nachricht["titel"])){
       return true;          
     }
     else {
       return false;    
     }    
   }
   // Automatischer Aufruf bei unset()
   public function __unset($eigenschaft){
     if ($eigenschaft == "titel"){
       $this->nachricht["titel"] = "";
     }
     elseif ($eigenschaft == "inhalt"){
       $this->nachricht["inhalt"] = "";   
     }
   }    
}








?>