<!doctype html public "-//W3C//DTD HTML 4.0 //EN">
<html>
<head>
       <title>Klassen-Inspektor testen</title>
</head>
<body>
<ul>
<li><a href="#k">Klassen-Informationen</a></li>
<li><a href="#o">Objekt-Information</a></li>
<li><a href="#i">Interface-Informationenn</a></li>
<li><a href="#f">Funktions-Informationen</a></li>
<li><a href="#v">Variablen</a></li>
</ul>
<?php
// Einbindung
include("classInspektor.php");
include("../Person.php");
include("../Person_Int.php");

////////////////////////////////////////////////////
 echo "<h1><a name=\"k\">Klassen-Information</a></h1>";
////////////////////////////////////////////////////

$klassenInfo = new classInspektor;
echo "<pre>";
print_r($klassenInfo->getKlassen());
echo "</pre>";

/////////////////////////////////////////////////////
 echo "\n\t<br><br>\n";
 echo "<h1><a name=\"o\">Objekt-Information</a></h1>";
/////////////////////////////////////////////////////

// Get object information
// Create object
$anton = new Freund("Anton", "Ebenhof", "Der A");
$anton->beruf = "PHP-Programmierer";
// Test methods
echo $anton->gruessen();
echo "<br>".$anton->verabschieden();
echo "<br>".$anton->nenneBeruf();
// Print information
echo "<pre>";
print_r($klassenInfo->getObjekt($anton));
echo "</pre>";

/////////////////////////////////////////////////////
 echo "\n\t<br><br>\n";
 echo "<h1><a name=\"i\">Interface-Informationen</a></h1>";
/////////////////////////////////////////////////////

// Print defined interfaces
echo "<pre>";
print_r($klassenInfo->getSchnittstellen());
echo "</pre>";

/////////////////////////////////////////////////////
 echo "\n\t<br><br>\n";
 echo "<h1><a name=\"f\">Funktions-Informationen</a></h1>";
/////////////////////////////////////////////////////

// Test-Funktion
function printH2($text){
  return "<h2>".$text."</h2>";
}

echo printH2("USER-Funktionen")
    ."<pre>";
print_r($klassenInfo ->getFunktionen(classInspektor::FKT_UDF));
echo "</pre>";
echo printH2("INTERNAL-Funktionen")
    ."<pre>";
print_r($klassenInfo ->getFunktionen(classInspektor::FKT_INT));
echo "</pre>";
echo printH2("ALL-Funktionen")
    ."<pre>";
print_r($klassenInfo ->getFunktionen(classInspektor::FKT_ALL));
echo "</pre>";

/////////////////////////////////////////////////////
 echo "\n\t<br><br>\n";
 echo "<h1><a name=\"v\">Variablen</a></h1>";
/////////////////////////////////////////////////////

// Variablen ausgeben
$variablen = get_defined_vars();
$anzahl = count($variablen);
$text = array();
if ($anzahl > 0){
  $i = 0;
  foreach ($variablen as $variable){
    // Wert abrufen
    $variablen[$i]["wert"]= $variable;
    // Typ abrufen
    $variablen[$i]["typ"] = gettype($variable);
    $i++;
  }
  // Rckgabe vorbereiten
  $text["anzahl"] = $anzahl;
  $text["variablen"] = $variablen;
}


echo "<pre>";
print_r($text);
echo "</pre>";
?>
</body>
</html>
