<!doctype html public "-//W3C//DTD HTML 4.0 //EN">
<html>
<head>
       <title>Reflection API</title>
</head>
<body>
<?php


// Einbindung
include("ClassReflector.php");
include("../Person.php");
include("../Person_Int.php");

/////////////////////////////////////////////////////
 echo "\n\t<br><br>\n";
 echo "<h1>Standard-Informationen einer Klasse</h1>";
/////////////////////////////////////////////////////

$reflector = new ClassReflector();
$reflector->setKlasse("Freund");

echo "<pre>";
print_r($reflector->dokKlasseStandard());
echo "</pre>";

/////////////////////////////////////////////////////
 echo "\n\t<br><br>\n";
 echo "<h1>Funktionsdokumentation</h1>";
/////////////////////////////////////////////////////

// Funktion
function printH($text, $type){
 if (is_string($text) && (is_int($type)
     && ($type >= 1 && $type <= 6))){
   return "<h".$type.">".$text."</h".$type.">";
 }
}

$reflector->setFunktion("printH");

echo "<pre>";
print_r($reflector->dokFunktion());
echo "</pre>";

/////////////////////////////////////////////////////
 echo "\n\t<br><br>\n";
 echo "<h1>Parameter-Dokumentation</h1>";
/////////////////////////////////////////////////////

$reflector->setFunktion("printH");

echo "<pre>";
print_r($reflector->dokParameter());
echo "</pre>";

/////////////////////////////////////////////////////
 echo "\n\t<br><br>\n";
 echo "<h1>Klassen-Dokumentation</h1>";
/////////////////////////////////////////////////////

$reflector->setKlasse("Person");

echo "<pre>";
print_r($reflector->dokKlasse());
echo "</pre>";

/////////////////////////////////////////////////////
 echo "\n\t<br><br>\n";
 echo "<h1>Methoden-Dokumentation</h1>";
/////////////////////////////////////////////////////

$reflector->setKlasse("Person");
$reflector->setMethode("__construct");

echo "<pre>";
print_r($reflector->dokMethode());
echo "</pre>";

/////////////////////////////////////////////////////
 echo "\n\t<br><br>\n";
 echo "<h1>Eigenschaften-Dokumentation</h1>";
/////////////////////////////////////////////////////


// Testklasse
class Schiff{
  public $laenge;
  public $breite;
}

$reflector->setKlasse("Schiff");
$reflector->setEigenschaft("laenge");

echo "<pre>";
print_r($reflector->dokEigenschaft());
echo "</pre>";

/////////////////////////////////////////////////////
 echo "\n\t<br><br>\n";
 echo "<h1>Ausnahmen-Dokumentation</h1>";
/////////////////////////////////////////////////////

class Spezialausnahme extends Exception {}

$reflector->setAusnahme("standard");

echo "<pre>";
print_r($reflector->dokAusnahme());
echo "</pre>";
?>
</body>
</html>
