<!doctype html public "-//W3C//DTD HTML 4.0 //EN">
<html>
<head>
       <title>Singleton-Muster</title>
</head>
<body>
<?php
// Sicherstellung, dass nur ein Exemplar vorhanden ist
// und dass dieses von berall her aufgerufen werden kann
class DBConnection {
 // Instanz   
 private static $instance;
 // Datenbankverbindung
 private $con;
 // Privater Konstruktor
 private function __construct(){
   $this->con = "DB-Verbindung eingerichtet";    
 }
 // Abrufmglichkeit der Instanz
 public static function getInstance(){
   if (empty(self::$instance)){
     self::$instance = new DBConnection();    
   }
   return self::$instance;    
 }
 // Getter-Methode fr DB-Verbindung
 public function getConnection(){
   return $this->con;  
 }      
}

// Klient
$con = DBConnection::getInstance();
echo $con->getConnection()."<br/>";
// 1000 Quelltextzeilen dazwischen...
$con = DBConnection::getInstance();
echo $con->getConnection();
?>
</body>
</html>
