<?php
// Klasse mit Hilfsmethoden fr Prsentationen
class HtmlAusgabe {
 // Formular, um Produkte zu bearbeiten 
 public static function getBearbeitenFormular($action, $wert, Produkt $produkt){
  $html = "<form method=\"get\" action=\"".$action."\">"
          ."<input type=\"hidden\" name=\"nameAlt\" value=\""
          .$produkt->getName()
          ."\">"
          ."<input type=\"text\" name=\"name\" value=\""
          .$produkt->getName()
          ."\"><br/>"
          ."<input type=\"text\" name=\"preis\" value=\""
          .$produkt->getPreis()
          ."\"><br/>"
          ."<input type=\"submit\" name=\"aktion\" value=\"".$wert."\"/>"
          ."</form>";
  return $html;       	
 }
 // Formular, um Produkte einzufgen
 public static function getEinfuegenFormular($action, $wert){
  $html = "<form method=\"get\" action=\"".$action."\">"
          ."<input type=\"hidden\" name=\"nameAlt\"/>"
          ."<input type=\"text\" name=\"name\"/><br/>"
          ."<input type=\"text\" name=\"preis\"/><br/>"
          ."<input type=\"submit\" name=\"aktion\" value=\"".$wert."\"/>"
          ."</form>";
  return $html;       	
 } 
 // bersicht mit Links zu weiteren Aktionen
 public static function getUebersichtAlle($produkte, $aktion, $text){
  $html	= "<table border=\"1\">"
          ."<tr><th>Name</th><th>Preis</th><th>".$text."</th><tr>";
  foreach($produkte as $produkt){
  	$html .= "<tr><td>".$produkt->getName()."</td>"
	        ."<td>".$produkt->getPreis()."</td>"
			."<td align=\"center\"><a href=\"index.php?aktion=".$aktion."&produkt=".$produkt->getName()."\">&gt;&gt;</a></td><tr>";
  }       
  $html .="</table>";        
  return $html;
}
 // Detailausgabe
 public static function getDetails(Produkt $produkt){
  $html	= "<table border=\"1\">"
          ."<tr><th>Name</th><td>".$produkt->getName()."</td><tr>"
          ."<tr><th>Preis</th><td>".$produkt->getPreis()."</td><tr>"
          ."</table>";        
  return $html;
 }
}
?>