<?php
// Klasse fr den Datenzugriff
class ProduktGateway {
  // Einzelne Datei finden und als Objekt zurckgeben
  public function findByName($name){
    $datei = "../produkte/".$name.".txt";
	return ProduktHelfer::explode(file_get_contents($datei));	
  }
  // Alle Dateien finden und als Array mit Objekten zurckgeben
  public function findAll(){
   $dateien = array_slice(scandir("../produkte"),2);
   $produkte = array();
   foreach($dateien as $datei){
     $produkte[] = ProduktHelfer::explode(file_get_contents("../produkte/".$datei));
   } 
   return $produkte; 	
  }
  // Produkt erfassen  
  public function insert($produkt){
    $datei = "../produkte/".$produkt->name.".txt";
	file_put_contents($datei, ProduktHelfer::implode($produkt));	
  }

  // Produkt aktualisieren
  public function update($nameAlt, $produkt){
    $dateiAlt = "../produkte/".$nameAlt.".txt";
    $dateiNeu = "../produkte/".$produkt->name.".txt";
    if (file_exists($dateiAlt)){
      rename($dateiAlt, $dateiNeu);
	  file_put_contents($dateiNeu, ProduktHelfer::implode($produkt));	 	
    }	
  }  	
}
?>