<?php

class Kunde {

  // Eigenschaften
  private $K_NR;
  private $K_ANREDE;
  private $K_VORNAME;
  private $K_NACHNAME;
  private $K_STADT;

  // Konstruktor
  public function __construct($K_ANREDE, $K_VORNAME, $K_NACHNAME,
                              $K_STADT = "", $K_NR = ""){
  	if (empty($K_ANREDE) or empty($K_VORNAME) or empty($K_NACHNAME)){
  	  throw new InsufficientDataException("Es fehlen NOT-NULL-Felder.");
  	}
  	else {
  	   $this->setK_NR($K_NR);
       $this->setK_ANREDE($K_ANREDE);
       $this->setK_VORNAME($K_VORNAME);
       $this->setK_NACHNAME($K_NACHNAME);
       $this->setK_STADT($K_STADT);
  	}
  }

  // Geschftsmethoden
  public function anmelden(){
  	echo "Kunde meldet sich an.<br/>";
  }

  public function __toString() {
    return $this->getK_NR()." "
	      .$this->getK_ANREDE()." "
		  .$this->getK_VORNAME()." "
		  .$this->getK_NACHNAME()."<br/>";
  }

  // Getter- und Setter-Methoden
  public function getK_NR(){
    return $this->K_NR;
  }
  public function getK_ANREDE(){
    return $this->K_ANREDE;
  }
  public function getK_VORNAME(){
    return $this->K_VORNAME;
  }
  public function getK_NACHNAME(){
    return $this->K_NACHNAME;
  }
  public function getK_STADT(){
    return $this->K_STADT;
  }

  public function setK_NR($K_NR){
    $this->K_NR = $K_NR;
  }
  public function setK_ANREDE($K_ANREDE){
    $this->K_ANREDE = $K_ANREDE;
  }
  public function setK_VORNAME($K_VORNAME){
    $this->K_VORNAME = $K_VORNAME;
  }
  public function setK_NACHNAME($K_NACHNAME){
    $this->K_NACHNAME = $K_NACHNAME;
  }
  public function setK_STADT($K_STADT){
    $this->K_STADT = $K_STADT;
  }
}
?>