<?php
class KundeGateway {

  // Eigenschaften
  private $K_NR;
  private $K_ANREDE;
  private $K_VORNAME;
  private $K_NACHNAME;
  private $K_STADT;

  // Konstruktor
  public function __construct($K_ANREDE, $K_VORNAME, $K_NACHNAME,
                              $K_STADT = "", $K_NR = ""){
  	if (empty($K_ANREDE) or empty($K_VORNAME) or empty($K_NACHNAME)){
  	  throw new InsufficientDataException("Es fehlen NOT-NULL-Felder.");
  	}
  	else {
  	   $this->setK_NR($K_NR);
       $this->setK_ANREDE($K_ANREDE);
       $this->setK_VORNAME($K_VORNAME);
       $this->setK_NACHNAME($K_NACHNAME);
       $this->setK_STADT($K_STADT);
  	}
  }

  // DB-Verwaltungsmethoden

  public function update(){
	// SQL-Anweisung
  	$sql = "UPDATE Kunde "
	       ."SET K_ANREDE = ':K_ANREDE', K_VORNAME = ':K_VORNAME', "
           ."    K_NACHNAME = ':K_NACHNAME', K_STADT = ':K_STADT' "
		   ."WHERE K_NR = :K_NR";
    // DB-Verbindung
    $registry = Registry::getInstance();
    $con = $registry->getProperty("con");
    // Bindevariablen ersetzen
    $sql = str_replace(":K_NR", $this->getK_NR(), $sql);
    $sql = str_replace(":K_ANREDE", $this->getK_ANREDE(), $sql);
    $sql = str_replace(":K_VORNAME", $this->getK_VORNAME(), $sql);
    $sql = str_replace(":K_NACHNAME", $this->getK_NACHNAME(), $sql);
    $sql = str_replace(":K_STADT", $this->getK_STADT(), $sql);
    // Abfrage ausfhren
    mysql_query($sql, $con);
	$reihen = mysql_affected_rows($con);
	// Besttigung
  	return $reihen;
  }

  public function insert(){
	// SQL-Anweisung
  	$sql = "INSERT INTO Kunde (K_ANREDE, K_VORNAME, K_NACHNAME, K_STADT) "
	       ."VALUES (':K_ANREDE', ':K_VORNAME', ':K_NACHNAME', ':K_STADT')";
    // DB-Verbindung
    $registry = Registry::getInstance();
    $con = $registry->getProperty("con");
    // Bindevariablen ersetzen
    $sql = $sql = str_replace(":K_ANREDE", $this->getK_ANREDE(), $sql);
    $sql = $sql = str_replace(":K_VORNAME", $this->getK_VORNAME(), $sql);
    $sql = $sql = str_replace(":K_NACHNAME", $this->getK_NACHNAME(), $sql);
    $sql = $sql = str_replace(":K_STADT", $this->getK_STADT(), $sql);
    // Abfrage ausfhren
    mysql_query($sql, $con);
    // Besttigung
    $this->setK_NR(mysql_insert_id($con));
    return $this->getK_NR();
  }

  public function delete(){
	// SQL-Anweisung
  	$sql = "DELETE FROM Kunde "
	       ."WHERE K_NR = :K_NR";
    // DB-Verbindung
    $registry = Registry::getInstance();
    $con = $registry->getProperty("con");
    // Bindevariablen ersetzen
    $sql = str_replace(":K_NR", $this->getK_NR(), $sql);
    // Abfrage ausfhren
    mysql_query($sql, $con);
    echo mysql_error($con);
	$reihen = mysql_affected_rows($con);
	// Besttigung
  	return $reihen;
  }

  // Getter- und Setter-Methoden
  public function getK_NR(){
    return $this->K_NR;
  }
  public function getK_ANREDE(){
    return $this->K_ANREDE;
  }
  public function getK_VORNAME(){
    return $this->K_VORNAME;
  }
  public function getK_NACHNAME(){
    return $this->K_NACHNAME;
  }
  public function getK_STADT(){
    return $this->K_STADT;
  }

  public function setK_NR($K_NR){
    $this->K_NR = $K_NR;
  }
  public function setK_ANREDE($K_ANREDE){
    $this->K_ANREDE = $K_ANREDE;
  }
  public function setK_VORNAME($K_VORNAME){
    $this->K_VORNAME = $K_VORNAME;
  }
  public function setK_NACHNAME($K_NACHNAME){
    $this->K_NACHNAME = $K_NACHNAME;
  }
  public function setK_STADT($K_STADT){
    $this->K_STADT = $K_STADT;
  }
}

?>